#version 330 core

in vec4 v_color;
in vec2 v_texcoord;

out vec4 v_output;

uniform sampler2D u_texture;

void main()
{
	vec4 tex = texture(u_texture, v_texcoord);
	v_output = vec4(min(tex.rgb + v_color.rgb, vec3(1.0)), tex.a * v_color.a);
}
